#
# spec file for package ispell (Version 3.1.20)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  yacc texinfo words

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         ispell
Release:      15
Copyright:    1983, by Pace Willisson, 1987 - 1993, 1995 by Geoff Kuenning, Granada Hills, CA.
Group: 
Provides:     ispell 
Requires: 
Conflicts:    
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.1.20
Summary:      ispell
Source:  ispell-3.1.20.tar.gz
Patch:   ispell-3.1.20.dif
%description
Ispell is a fast screen-oriented spelling checker that shows you your
errors in the context of the original file, and suggests possible
corrections when it can figure them out.  Compared to UNIX spell, it
is faster and much easier to use.  Ispell can also handle languages
other than English. Ispell has a long history, and many people have
contributed to the current version - some of the major contributors
include R. E. Gorin, Pace Willisson, Walt Buehring, and Geoff
Kuenning. 
You find a short description in the directory /usr/doc/packages/ispell/.

Authors:
--------
    R. E. Gorin
    Pace Willisson <pace@ai.mit.edu>
    Walt Buehring
    Goeff Kuenning <geoff@ITcorp.com>

%package     -n ispell
Summary:      ispell
Group:
%description -n ispell
Ispell is a fast screen-oriented spelling checker that shows you your
errors in the context of the original file, and suggests possible
corrections when it can figure them out.  Compared to UNIX spell, it
is faster and much easier to use.  Ispell can also handle languages
other than English. Ispell has a long history, and many people have
contributed to the current version - some of the major contributors
include R. E. Gorin, Pace Willisson, Walt Buehring, and Geoff
Kuenning. 
You find a short description in the directory /usr/doc/packages/ispell/.

Authors:
--------
    R. E. Gorin
    Pace Willisson <pace@ai.mit.edu>
    Walt Buehring
    Goeff Kuenning <geoff@ITcorp.com>

%package     -n iamerica
Summary:      American and british ispell dictionaries
Group:
%description -n iamerica
This packages includes ready american and british dictionaries for ispell.
After installation of this package english will be american english (in
oposite of the package iamerica).  A short usage description
is given in /usr/doc/packages/ispell/README of the packages ispell.
The sources for this dictionary are included in the source package
of ispell.

Authors:
--------
    R. E. Gorin
    Pace Willisson <pace@ai.mit.edu>
    Walt Buehring
    Goeff Kuenning <geoff@ITcorp.com>

%package     -n ibritish
Summary:      British and american ispell dictionaries
Group:
%description -n ibritish
This packages includes ready british and american dictionaries for ispell.
After installation of this package english will be british english (in
oposite of the package iamerica).  A short usage description
is given in /usr/doc/packages/ispell/README of the packages ispell.
The sources for this dictionary are included in the source package
of ispell.

Authors:
--------
    R. E. Gorin
    Pace Willisson <pace@ai.mit.edu>
    Walt Buehring
    Goeff Kuenning <geoff@ITcorp.com>

%prep
%setup -n ispell-3.1
%patch
%build
  PATH=$PATH:$PWD
  export PATH
  make -f Makefile.Linux compile
%install
  make -f Makefile.Linux install
  rm -f /usr/lib/ispell/british.hash
  rm -r /usr/lib/ispell/american.hash
  ln -sf britishxlg.hash  /usr/lib/ispell/british.hash
  ln -sf americanxlg.hash /usr/lib/ispell/american.hash
Check
#
%post  -n ibritish
rm -f   usr/lib/ispell/english.hash
test -e usr/lib/ispell/english.hash || ln -sf british.hash usr/lib/ispell/english.hash
%post  -n iamerica
rm -f   usr/lib/ispell/english.hash
test -e usr/lib/ispell/english.hash || ln -sf american.hash usr/lib/ispell/english.hash
%preun -n ibritish
test -L usr/lib/ispell/english.hash  && eng_inode=`ls -iL usr/lib/ispell/english.hash`
test -e usr/lib/ispell/british.hash  && bri_inode=`ls -iL usr/lib/ispell/british.hash`
set -- $eng_inode $bri_inode
if test -n "$1" -a -n "$3" ; then
   test $1 -eq $3 && rm -f usr/lib/ispell/english.hash
fi
%preun -n iamerica
test -L usr/lib/ispell/english.hash  && eng_inode=`ls -iL usr/lib/ispell/english.hash`
test -e usr/lib/ispell/american.hash && ame_inode=`ls -iL usr/lib/ispell/american.hash`
set -- $eng_inode $ame_inode
if test -n "$1" -a -n "$3" ; then
   test $1 -eq $3 && rm -f usr/lib/ispell/english.hash
fi
%files -n ispell
%dir /usr/lib/ispell
/usr/bin/buildhash
/usr/bin/findaffix
/usr/bin/icombine
/usr/bin/ijoin
/usr/bin/ispell
/usr/bin/munchlist
/usr/bin/sq
/usr/bin/tryaffix
/usr/bin/unsq
%doc /usr/info/ispell.gz
%doc /usr/man/man1/buildhash.1.gz
%doc /usr/man/man1/findaffix.1.gz
%doc /usr/man/man1/ispell.1.gz
%doc /usr/man/man1/munchlist.1.gz
%doc /usr/man/man1/sq.1.gz
%doc /usr/man/man1/tryaffix.1.gz
%doc /usr/man/man1/unsq.1.gz
%doc /usr/man/man5/english.5.gz
%doc /usr/man/man5/ispell.5.gz
%doc /usr/doc/packages/ispell/LIESMICH
%doc /usr/doc/packages/ispell/README
%files -n iamerica
/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/english.aff
%files -n ibritish
/usr/lib/ispell/american.hash
/usr/lib/ispell/americanmed.hash
/usr/lib/ispell/americanxlg.hash
/usr/lib/ispell/british.hash
/usr/lib/ispell/britishmed.hash
/usr/lib/ispell/britishxlg.hash
/usr/lib/ispell/english.aff

